#ifndef __MODEM_CALLBACKS_H__
#define __MODEM_CALLBACKS_H__

#include "hal_types.h"

void my_read(u8 fid, u32 offset, u32 length, int id);
void my_write(u8 fid, void *data, u32 offset, u32 length, int id);
void my_read_fprop(u8 fid, int id);
void my_flush(u8 fid, int id);
void my_delete(u8 fid, int id);
void my_udata(u8 fid,void *data,u32 offset,u32 length, u8 i_type, u8 i_length, u8* i_data);
void my_lqual(u8 ifid, int per);
void my_ldown(u8 ifid);
void my_reset(void);
void my_boot(u8 cause, u16 number);

#endif